/////////////////////////////////////////////////////////////////////////////
//
//   TLCWOR.H
//
//   Copyright (c) 1997  Galacticomm, Inc.        All Rights Reserved
//
//   Worldlink Teleconference Extension
//   Client Declaration
//                                               - Phil Henning 7/7/97
//
/////////////////////////////////////////////////////////////////////////////

#include "worldlnk.h"
#include "tlcworh.h"
#include "tlcwortr.h"
#include "tlcworch.h"

#ifndef __TLCWOR_H
#define __TLCWOR_H

extern CSmb* pSmbUsers;
extern INT iWorTrans;
extern HMCVFILE wortlcmsg;

extern "C" {
VOID EXPORT init__galtlcw();
WORCONNECT worTlcConnect();
WORDISCONNECT worTlcDisconnect();
WORNODECONNECT worNodeConnect(const WORNODE* node);
WORNODEDISCONNECT worNodeDisconnect(const WORNODE* node);
WORCOMMANDHANDLER worCmdHdl(SHORT cmdnum, UINT length, VOID* value);
WORSQUELCHHANDLER worSqCmdHdl(SHORT cmdnum, UINT length, VOID* value);
};

#endif // __TLCWOR_H


